/*
 * (C) Copyright 2004
 * Chuck Gales, LVL7 Systems, cgales@lvl7.com
 *
 * Register Definitions for Nortel ELMO platform
 *
 */
#ifndef _ELMO_REGS_H_
#define _ELMO_REGS_H_

#define ELMO_REG_BASE           0x78000000

#define DEVICE_RSTS             0x08
#define DEVICE_RSTS_BCM5421_0   0x01
#define DEVICE_RSTS_BCM5421_1   0x02
#define DEVICE_RSTS_BCM5690_0   0x04
#define DEVICE_RSTS_BCM5690_1   0x08
#define DEVICE_RSTS_BCM5464     0x10
#define DEVICE_RSTS_BCM1250     0x20
#define DEVICE_RSTS_BCM8011     0x40
#define DEVICE_RSTS_FP          0x80
#define DEVICE_RSTS_ALL         (DEVICE_RSTS_BCM5421_0 | \
                                 DEVICE_RSTS_BCM5421_1 | \
                                 DEVICE_RSTS_BCM5690_0 | \
                                 DEVICE_RSTS_BCM5690_1 | \
                                 DEVICE_RSTS_BCM5464   | \
                                 DEVICE_RSTS_BCM1250   | \
                                 DEVICE_RSTS_BCM8011   | \
                                 DEVICE_RSTS_FP       )

#define ENABLE_REG              0x14
#define ENABLE_REG_VPD_EN       0x01
#define ENABLE_REG_PROG         0x02
#define ENABLE_REG_SMS_MEN      0x04
#define ENABLE_REG_WD_EN        0x08
#define ENABLE_REG_8011_FRST    0x10
#define ENABLE_REG_FAULT_LED    0x20
#define ENABLE_REG_OK_LED       0x40
#define ENABLE_REG_I2C_RESET    0x80

#endif
